import { DataSource } from "typeorm";
import * as config from "~/config.js";

// Entity types
import { Account } from "~entities/account.js";
import { Blog } from "~entities/blog.js";
import { Post } from "~entities/post.js";

const MercuryDataSource = new DataSource({
  type: "postgres",
  host: config.DATABASE_HOST,
  port: config.DATABASE_PORT,
  username: config.DATABASE_USER,
  password: config.DATABASE_PASS,
  database: config.DATABASE_NAME,
  entities: [Account, Blog, Post],
  migrations: ["src/db/migrations/*.js"],
  logging:
    process.env.NODE_ENV === "production" ? ["error"] : ["query", "error"],
});

export default MercuryDataSource;
