export class Init1689867206797 {
    name = 'Init1689867206797'

    async up(queryRunner) {
        await queryRunner.query(`
            CREATE TABLE "post" (
                "id" text NOT NULL,
                "content" text,
                "contentType" text,
                "blogId" text,
                CONSTRAINT "PK_be5fda3aac270b134ff9c21cdee" PRIMARY KEY ("id")
            )
        `);
        await queryRunner.query(`
            CREATE TABLE "blog" (
                "id" text NOT NULL,
                "username" text NOT NULL,
                "host" text,
                "publicKey" text NOT NULL,
                "privateKey" text,
                "accountId" text,
                CONSTRAINT "PK_85c6532ad065a448e9de7638571" PRIMARY KEY ("id")
            )
        `);
        await queryRunner.query(`
            CREATE UNIQUE INDEX "IDX_20609d68760ccd572e82155a84" ON "blog" ("username", "host")
        `);
        await queryRunner.query(`
            CREATE TABLE "account" (
                "id" text NOT NULL,
                "username" text NOT NULL,
                "host" text,
                "email" text,
                "password" text,
                CONSTRAINT "UQ_4c8f96ccf523e9a3faefd5bdd4c" UNIQUE ("email"),
                CONSTRAINT "PK_54115ee388cdb6d86bb4bf5b2ea" PRIMARY KEY ("id")
            )
        `);
        await queryRunner.query(`
            CREATE UNIQUE INDEX "IDX_0d4f7bfab65220a2aac213407b" ON "account" ("username", "host")
        `);
        await queryRunner.query(`
            ALTER TABLE "post"
            ADD CONSTRAINT "FK_d0418ddc42c5707dbc37b05bef9" FOREIGN KEY ("blogId") REFERENCES "blog"("id") ON DELETE NO ACTION ON UPDATE NO ACTION
        `);
        await queryRunner.query(`
            ALTER TABLE "blog"
            ADD CONSTRAINT "FK_9dd44887bd917f9ee76aff90a02" FOREIGN KEY ("accountId") REFERENCES "account"("id") ON DELETE NO ACTION ON UPDATE NO ACTION
        `);
    }

    async down(queryRunner) {
        await queryRunner.query(`
            ALTER TABLE "blog" DROP CONSTRAINT "FK_9dd44887bd917f9ee76aff90a02"
        `);
        await queryRunner.query(`
            ALTER TABLE "post" DROP CONSTRAINT "FK_d0418ddc42c5707dbc37b05bef9"
        `);
        await queryRunner.query(`
            DROP INDEX "public"."IDX_0d4f7bfab65220a2aac213407b"
        `);
        await queryRunner.query(`
            DROP TABLE "account"
        `);
        await queryRunner.query(`
            DROP INDEX "public"."IDX_20609d68760ccd572e82155a84"
        `);
        await queryRunner.query(`
            DROP TABLE "blog"
        `);
        await queryRunner.query(`
            DROP TABLE "post"
        `);
    }

}
