import * as crypto from "node:crypto";
import { promisify }from "node:util";

const generate = promisify(crypto.generateKeyPair);

export async function generateKeyPair() {
  return await generate("rsa", {
    modulusLength: 2048,
    publicKeyEncoding: {
      type: "spki",
      format: "pem",
    },
    privateKeyEncoding: {
      type: "pkcs8",
      format: "pem",
      cipher: undefined,
      passphrase: undefined,
    },
  });
}
